package afficheur;
import java.util.*;


//Cette classe permet d'afficher des chaines de caracteres 
//dans le terminal

public class AfficheurTerminal implements Afficheur {

    private static HashMap<String,String> colors= 
	new HashMap<String,String>();
    static {
	colors.put("red", "\033[31m");
	colors.put("green", "\033[32m");
	colors.put("yellow", "\033[33m");
	colors.put("blue", "\033[34m");
	colors.put("magenta", "\033[35m");
	colors.put("cyan", "\033[36m");
	colors.put("white", "\033[37m");
	colors.put("grey", "\033[38m");
	colors.put("nocol", "\033[0m");
    }

    //Cette methode ne fait qu'afficher la chaine donnee 
    //en entree dans le terminal
    public void print(String chaine) {
	System.out.print(chaine);
    }

    //Cette methode afficher la chaine donnee 
    //en entree dans le terminal de la couleur donne
    public void print(String chaine, String couleur) {
	System.out.print(colors.get(couleur));
	this.print(chaine);
	System.out.print(colors.get("nocol"));
    }

    //Cette methode permet d'aller a la ligne
    public void newline(){
	System.out.println();
    }

    //Cette methode insere un espace
     public void espace(){
	 System.out.print(" ");
    }
}
